## Interface Swift_Transport_EsmtpHandler

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Transport/EsmtpHandler.php

##### An ESMTP handler.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void afterEhlo (Swift_Transport_SmtpAgent $agent)
string[] exposeMixinMethods ()
boolean getHandledKeyword ()
string[] getMailParams ()
int getPriorityOver (string $esmtpKeyword)
string[] getRcptParams ()
void onCommand (Swift_Transport_SmtpAgent $agent, string $command, [int[] $codes = array()], [string[] &$failedRecipients = null], [boolean &$stop = false])
void resetState ()
void setKeywordParams ( $parameters)

#### Method afterEhlo (line 38)

#### void afterEhlo( Swift_Transport_SmtpAgent $agent)

##### Runs immediately after a EHLO has been issued.

#### Parameters

- Swift_Transport_SmtpAgent $agent: to read/write

#### Info

- access - public

#### Method exposeMixinMethods (line 75)

#### string[] exposeMixinMethods( )

##### Returns an array of method names which are exposed to the Esmtp class.

#### Info

- access - public

#### Method getHandledKeyword (line 26)

#### boolean getHandledKeyword( )

##### Get the name of the ESMTP extension this handles.

#### Info

- access - public

#### Method getMailParams (line 44)

#### string[] getMailParams( )

##### Get params which are appended to MAIL FROM:<>.

#### Info

- access - public

#### Method getPriorityOver (line 69)

#### int getPriorityOver( string $esmtpKeyword)

##### Returns +1, -1 or 0 according to the rules for usort().

This method is called to ensure extensions can be execute in an appropriate order.

#### Parameters

- string $esmtpKeyword: to compare with

#### Info

- access - public

#### Method getRcptParams (line 50)

#### string[] getRcptParams( )

##### Get params which are appended to RCPT TO:<>.

#### Info

- access - public

#### Method onCommand (line 60)

#### void onCommand( Swift_Transport_SmtpAgent $agent, string $command, [int[] $codes = array()], [string[] &$failedRecipients = null], [boolean &$stop = false])

##### Runs when a command is due to be sent.

#### Parameters

- Swift_Transport_SmtpAgent $agent: to read/write
- string $command: to send
- int[] $codes: expected in response
- string[] &$failedRecipients:
- boolean &$stop: to be set true if the command is now sent

#### Info

- access - public

#### Method resetState (line 80)

#### void resetState( )

##### Tells this handler to clear any buffers and reset its state.

#### Info

- access - public

#### Method setKeywordParams (line 32)

#### void setKeywordParams( $parameters)

##### Set the parameters which the EHLO greeting indicated.

#### Parameters

- string[] $parameters:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:20 +0000 by phpDocumentor 1.4.3